Skip to content

Config


API Request

Request URL

POST

https://{host}/api/rentbox/client/config?rentboxSN={rentboxSN}&sign={sign} 

text
Request URL: /api/rentbox/client/config
Content-Type: Content-Type:text/plain
sign=MD5("rentboxSN={rentboxSN}")

body: Equipment debugging information, no need to pay attention to customer docking

json
{
    "APN":"AT+QICSGP=1,1,\"3gnet\",\"\",\"\",0",
    "soft":"V6089",
    "hard":"V2004",
    "CRC16":"0x240D",
    "EC20_Mead":"Quectel",
    "EC20_Type":"EC200N",
    "EC20_Version":"EC200NCNLAR03A02M08_DO"
}

Request Parameters

NameIdentification codeIs it requiredRemarks
Server domain namehostYESProvided by the customer, for example: s.abc.com
Globally unique device coderentboxSNYES4G communication module, IMEI number
Interface signaturesignYESMD5 encryption

Interface signature

POST

https://s.abc.com/api/rentbox/client/config?rentboxSN=860602069165357&sign=005dca9b80163313e88f249763ac96e9

text
Request URL: /api/rentbox/client/config
Content-Type: text/plain
sign = MD5("rentboxSN=860602069165357") = 005dca9b80163313e88f249763ac96e9

body: Equipment debugging information, no need to pay attention to customer docking

json
{
    "APN":"AT+QICSGP=1,1,\"3gnet\",\"\",\"\",0",
    "soft":"V6089",
    "hard":"V2004",
    "CRC16":"0x240D",
    "EC20_Mead":"Quectel",
    "EC20_Type":"EC200N",
    "EC20_Version":"EC200NCNLAR03A02M08_DO"
}

API Response

NameIdentification codeTypeRemarks
status codecodeintDefault: 200
status typetypeintDefault: 0
Custom datadatastringConfiguration parameters, strings need to be escaped JSON objects
Exception messagemsgstringDefault: OK
timestamptimelongcurrent millisecond timestamp

Configuration Parameters

NameIdentification codeTypeRemarks
dRotationReferdRotationReferstringCabinet self-test time (minutes): default 15
dReturnLockeddReturnLockedstringReserved value: default 0
dHeadConfigdHeadConfigstringReserved value: default 43
dRotationNumberdRotationNumberstringReserved value: default 2
dRotationEnabledRotationEnablestringReserved value: default 1
dMotorEnabledMotorEnablestringReserved value: default 0
dAreaConfigdAreaConfigstringArea code (customized), default 0
json
{
    "code":200,
    "type":0,
    "data":"{\"dRotationRefer\":\"15\",\"dReturnLocked\":\"0\",\"dHeadConfig\":\"43\",\"dRotationNumber\":\"2\",\"dRotationEnable\":\"1\",\"dMotorEnable\":\"0\",\"dAreaConfig\":\"0\"}",
    "msg":"OK",
    "time":1705479269271
}